Package com.saxonica.ee.stream.adjunct

## Class SubscriptExpressionAdjunct

- java.lang.Object
- - com.saxonica.ee.stream.adjunct.StreamingAdjunct
  - - com.saxonica.ee.stream.adjunct.TransmissionAdjunct
    - - com.saxonica.ee.stream.adjunct.FilteringAdjunct
      - - com.saxonica.ee.stream.adjunct.SubscriptExpressionAdjunct

- All Implemented Interfaces:
    `FeedMaker`

      public class SubscriptExpressionAdjunct
      extends FilteringAdjunct
      implements FeedMaker

  Streaming code for a subscript expression

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubscriptExpressionAdjunct()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FeedMaker` | `getFeedMaker​(int arg)` | Get a FeedMaker, a factory class that creates a Feed to evaluate this expression in streaming mode.
    `FilteringFeed.Filter` | `makeFilter​(XPathContext context, ItemFeed out)` | Make a filter for the event stream

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.FilteringAdjunct

      `makeItemFeed`

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.TransmissionAdjunct

      `getWatchMaker, makeTransmissionFlow`

    - ### Methods inherited from class com.saxonica.ee.stream.adjunct.StreamingAdjunct

      `computeStreamability, findConsumingArg, getConfiguration, getDefaultFeedMaker, getExpression, makeStreamingAdjunct, setConfiguration, setExpression, toStreamingPattern`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.saxonica.ee.stream.feed.FeedMaker

      `makeItemFeed`

- - ### Constructor Detail

    - #### SubscriptExpressionAdjunct

          public SubscriptExpressionAdjunct()

  - ### Method Detail

    - #### getFeedMaker

          public FeedMaker getFeedMaker​(int arg)
                                 throws XPathException

      Description copied from class: `StreamingAdjunct`
      Get a FeedMaker, a factory class that creates a Feed to evaluate this expression in streaming mode. In many cases the StreamingAdjunct is itself a FeedMaker, in which case it returns itself. But where an expression has several operands, it will typically create different feeds depending on which argument is the streamed input, and in such cases the individual StreamingAdjunct makes the decision which feed to use, by returning an appropriate FeedMaker.
      Overrides:
        `getFeedMaker` in class `StreamingAdjunct`
      Parameters:
        `arg` - identifies the argument with respect to which the expression is to be inverted: usually 0 to indicate the first argument is the value that is streamed. Argument numbering is the same as the sequence of arguments/operands returned by the method `Expression.operands()`
      Returns:
        a FeedMaker to evaluate the expression, or null if it is not streamable with respect to the specificed argument.
      Throws:
        `XPathException` - in the event of a failure

    - #### makeFilter

          public FilteringFeed.Filter makeFilter​(XPathContext context,
                                                 ItemFeed out)
                                          throws XPathException

      Description copied from class: `FilteringAdjunct`
      Make a filter for the event stream
      Specified by:
        `makeFilter` in class `FilteringAdjunct`
      Parameters:
        `context` - the XPath dyamic context
        `out` - the destination for the filtered events
      Returns:
        a filter that can be added to the event stream
      Throws:
        `XPathException` - if a dynamic evaluation error occurs